// USAF tail decal update by Eggbeast for unsung
params [["_vehicle", ObjNull]];

if (isNull _vehicle) exitWith {};
if (!local _vehicle) exitWith {};

private _c = (round random 9);  //aircraft number on tail
//6, "d_num1", //USAF Tail number
//7, "d_num2",  //USAF Tail letters
switch (_c) do
{
	case 0:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\0.paa"];
	};
	case 1:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\1.paa"];
	};
	case 2:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\2.paa"];
	};
	case 3:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\3.paa"];
	};
	case 4:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\4.paa"];
	};
	case 5:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\5.paa"];
	};
	case 6:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\6.paa"];
	};
	case 7:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\7.paa"];
	};
	case 8:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\8.paa"];
	};
	case 9:
	{
		_vehicle setobjecttextureGlobal[6,"\uns_f100\decals\code\9.paa"];
	};
};

//aircraft code on tail
//black or white?
private _a = floor (random 10);  //aircraft number on tail
private _d = floor(random 10);

if (_a <5) then //white
{
	switch (_d) do
	{
		case 0:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\CB_ca.paa"];
		};
		case 1:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\CE_ca.paa"];
		};
		case 2:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\CP_ca.paa"];
		};
		case 3:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\HE_ca.paa"];
		};
		case 4:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\HS_ca.paa"];
		};
		case 5:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\SD_ca.paa"];
		};
		case 6:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\SE_ca.paa"];
		};
		case 7:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\SM_ca.paa"];
		};
		case 8:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\SP_ca.paa"];
		};
		case 9:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\SS_ca.paa"];
		};
		case 10:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_f100\decals\tail\VM_ca.paa"];
		};
	};
} else //black
{
	switch (_d) do
	{
		case 0:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\CB_ca.paa"];
		};
		case 1:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\CE_ca.paa"];
		};
		case 2:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\CP_ca.paa"];
		};
		case 3:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\HE_ca.paa"];
		};
		case 4:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\HS_ca.paa"];
		};
		case 5:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\SD_ca.paa"];
		};
		case 6:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\SE_ca.paa"];
		};
		case 7:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\SM_ca.paa"];
		};
		case 8:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\SP_ca.paa"];
		};
		case 9:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\SS_ca.paa"];
		};
		case 10:
		{
			_vehicle setobjecttextureGlobal[7,"\uns_A7\decals\tail\VM_ca.paa"];
		};
	};
};
_vehicle;
