if (isDedicated) exitWith {};
_plane = _this;

// Stall engine to ensure proper function of Engine EH to cleanup wing animations.
// Player will have to re-cycle power up.  This is done to prevent a condition where 
// the plane is flying with the wings retracted.  
// There is no condition where the wings would be retracted when the vehicle is moving > 25.

_plane action ["engineOff", _plane];

if ((speed _plane) < 25) then 
{
	_plane say "e2_wings";
	_plane animate ["wingfold_left",1];
	_plane animate ["wingfold_right",1];
	_plane animate ["wing_knob",1];
	_plane animate ["wing_knob_ind",0];
} else {  // else assume plane in motion, lower wings just to be safe.
	_plane say "e2_wings";
	_plane animate ["wingfold_left",0];
	_plane animate ["wingfold_right",0];
	_plane animate ["wing_knob",0];
	_plane animate ["wing_knob_ind",1];
};

